For the complete documentation index, see llms.txt.

Manifests
GET/api/manifests/files/

Get Manifest Files

Retrieve a list of manifest files by manifest_id.

View as MarkdownCopy for LLM

Manifests

Create manifests and retrieve manifest data for carrier handover.

4 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/manifests/files/

Details

Retrieve a list of manifest files by manifest_id.

Request Parameters

Parameter Type Description
manifest_id integer The unique numeric identifier for the manifest

Get Manifest Files Response

Attribute Type Description
files object list List of records for the manifest files matching the supplied criteria (Manifest Files Model)
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)
total_pages integer Total number of pages containing records
total_count integer Total number of manifest records

Manifest Files Model

Attribute Type Description
file_name string Name of this manifest file
file_data string Base64 string which can be converted to PDF file for printing

Response examples

Get Manifest Files (200)
{
    "files": [
        {
            "file_name": "dhl_99999_01.xml",
            "file_data": "//48AD8AeABtAGwAIAB .......... wAG0AZQBuAHQAPgA="
        },
        {
            "file_name": "dhl_99999_02.pdf",
            "file_data": "JVBERi0xLjMNCjEgMCa .......... zMzU4DQolJUVPRg=="
        }
    ],
    "success": true
}

Related endpoints